net/vsftpd - The NetBSD Packages Collection

FTP server that aims to be very secure

vsftpd is an FTP server, or daemon.  The "vs" stands for Very Secure.
Obviously this is not a guarantee, but a reflection that I have written
the entire codebase with security in mind, and carefully designed the program
to be resilient to attack.

Recent evidence suggests that vsftpd is also extremely fast (and this is
before any explicit performance tuning!)  In tests against wu-ftpd, vsftpd
was always faster, supporting over twice as many users in some tests.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfvsftpd-3.0.3nb3.tgz
NetBSD 8.0earmv7hfvsftpd-3.0.3nb3.tgz
NetBSD 8.0earmv7hfvsftpd-3.0.3nb3.tgz
NetBSD 8.0i386vsftpd-3.0.3nb3.tgz
NetBSD 8.0i386vsftpd-3.0.3nb3.tgz
NetBSD 8.0i386vsftpd-3.0.3nb3.tgz
NetBSD 8.0powerpcvsftpd-3.0.3nb3.tgz
NetBSD 8.0powerpcvsftpd-3.0.3nb3.tgz
NetBSD 8.0powerpcvsftpd-3.0.3nb3.tgz
NetBSD 8.0powerpcvsftpd-3.0.3nb3.tgz
NetBSD 8.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 8.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 8.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 9.0aarch64vsftpd-3.0.3nb3.tgz
NetBSD 9.0aarch64vsftpd-3.0.3nb3.tgz
NetBSD 9.0aarch64vsftpd-3.0.3nb3.tgz
NetBSD 9.0alphavsftpd-3.0.3nb3.tgz
NetBSD 9.0alphavsftpd-3.0.3nb3.tgz
NetBSD 9.0alphavsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv6hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv6hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv6hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv6hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv7hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv7hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv7hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv7hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0earmv7hfvsftpd-3.0.3nb3.tgz
NetBSD 9.0i386vsftpd-3.0.3nb3.tgz
NetBSD 9.0i386vsftpd-3.0.3nb3.tgz
NetBSD 9.0i386vsftpd-3.0.3nb3.tgz
NetBSD 9.0mips64ebvsftpd-3.0.3nb3.tgz
NetBSD 9.0mips64ebvsftpd-3.0.3nb3.tgz
NetBSD 9.0mips64ebvsftpd-3.0.3nb3.tgz
NetBSD 9.0powerpcvsftpd-3.0.3nb3.tgz
NetBSD 9.0powerpcvsftpd-3.0.3nb3.tgz
NetBSD 9.0powerpcvsftpd-3.0.3nb3.tgz
NetBSD 9.0powerpcvsftpd-3.0.3nb3.tgz
NetBSD 9.0sparc64vsftpd-3.0.3nb3.tgz
NetBSD 9.0sparc64vsftpd-3.0.3nb3.tgz
NetBSD 9.0sparc64vsftpd-3.0.3nb3.tgz
NetBSD 9.0sparc64vsftpd-3.0.3nb3.tgz
NetBSD 9.0sparcvsftpd-3.0.3nb3.tgz
NetBSD 9.0sparcvsftpd-3.0.3nb3.tgz
NetBSD 9.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 9.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 9.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 9.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 9.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 9.0x86_64vsftpd-3.0.3nb3.tgz
NetBSD 9.0x86_64vsftpd-3.0.3nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

pam
Enable PAM support.
ssl
Enable SSL support.
tcpwrappers
Enable tcpwrappers support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.